<?php

/*

 $Id: show_cnames.inc,v 1.22 2003/08/05 23:01:09 vollmerk Exp $
 $Source: /a1/cvsroot/maint/templates/show_cnames.inc,v $

 Copyright (c) 2002 Oregon State University - Network Engineering
 All rights reserved.

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

/*!
	@header Display Many Cnames Template
	Display all the cnames in the $cnames array. 
*/
?>
<? if ($conf['script'] != "search.php") { ?>
<p><font class="header2">Showing CNAMES from <? echo $conf['zone']->name; ?></font></p>
<? } ?>
<? $conf['help']->display_help("cname_general"); ?>
<?

show_template('tborder');

// total_items has to be passed in to determine how many page tabs to make
$conf['ui']->show_list_header($total_items);

?>
<table border="0" cellpadding="2" cellspacing="0" width="100%">
	<tr align="center" class="widget-title">
    		<td>
		<a href = "<?= $conf['script'] ?>?action=<?= $conf['action'] ?>&sort_type=name" title="<? $conf['help']->display_plain_txt("hostname"); ?>">Hostname</a>
                <? if ($user->view->sort_type == "name") { $conf['ui']->show_arrow(); } ?>
		</td>
		<td>&nbsp;</td>
    		<td>
		<a href = "<? echo $conf['script'] ?>?action=<? echo $conf['action'] ?>&sort_type=server" title="<? $conf['help']->display_plain_txt("cname_server"); ?>">Server Name</a>
                <? if ($user->view->sort_type == "server") { $conf['ui']->show_arrow(); } ?>
		</td>
                <td>Action</td>
	</tr>

<?

foreach ($cnames as $cname) {

?>

	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>" align="center">
		<td>
		<a href="<?= $conf['web_path']; ?>/cname.php?action=show_cname&amp;cname_id=<?= $cname->id; ?>">
		<? $conf['ui']->display_field($cname->hostname); ?>
		</a>
		</td>
		<td><b>-----&gt;</b></td>
		<td><? $conf['ui']->display_field($cname->server); ?></td>
		<td>
			<? if ($user->has_access($cname->zone) ) { ?>
			<a href="<?= $conf['web_path']; ?>/cname.php?action=edit&amp;cname_id=<? echo $cname->id ?>">Edit</a> |&nbsp;
			<a href="<?= $conf['web_path']; ?>/cname.php?action=delete&amp;cname_id=<? echo $cname->id ?>"> Delete</a>
			<? } else { ?><a href="<?= $conf['web_path']; ?>/cname.php?action=show_cname&amp;action_type=read&amp;cname_id=<? echo $cname->id ?>">View</a>
			<? } ?>				
		</td>
	</tr>
<?
}
?>
</table>

<?
$conf['ui']->show_list_header($total_items);
show_template('bborder');
?>

